import React from 'react';
import { addStoryInGroup, LOW_LEVEL_BLOCKS } from '../../../.storybook/utils';
import Counter from './Counter';
export default {
  component: Counter,
  title: addStoryInGroup(LOW_LEVEL_BLOCKS, 'Counter'),
  parameters: {
    design: {
      type: 'figma',
      url: 'https://www.figma.com/file/LHH25GN90ljQaBEUNMsdJn/Desktop-components?node-id=246%3A985'
    }
  }
};
export var Basic = function Basic(args) {
  return /*#__PURE__*/React.createElement(Counter, args);
};
Basic.args = {
  count: 99
};
export var WithMaxCount = function WithMaxCount(args) {
  return /*#__PURE__*/React.createElement(Counter, args);
};
WithMaxCount.args = {
  count: 99,
  maxCount: 98
};
WithMaxCount.storyName = 'With maxCount';
export var WithExtraText = function WithExtraText(args) {
  return /*#__PURE__*/React.createElement(Counter, args);
};
WithExtraText.args = {
  children: 'Tasks',
  count: 99
};
WithExtraText.storyName = 'With extra text';